Bug 1123506

Summary: sddm startup is slow
Product: [Fedora] Fedora Reporter: Orion Poplawski <orion>
Component: sddmAssignee: Martin Bříza <mbriza>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: bitlord0xff, dvratil, jgrulich, kevin, ltinkl, mail, mbriza, rdieter, rmj, valeriodean
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://github.com/sddm/sddm/issues/281
Whiteboard:
Fixed In Version: sddm-0.9.0-2.20141007git6a28c29b.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-28 06:46:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 998542    

Description Orion Poplawski 2014-07-25 21:02:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Orion Poplawski 2014-07-25 21:09:18 UTC
sddm takes about 15 seconds to start up, mainly in starting the greeter

between:

Greeter session started successfully

and

Message received from greeter: Connect


I at first thought sddm should not try to enumerate all users' face icons at startup, but I'm not sure that that is the hangup.

For comparison, kdm seems to take about 2 seconds to startup.

Comment 2 Fedora Update System 2014-10-07 09:26:25 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc21

Comment 3 Fedora Update System 2014-10-07 09:27:28 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc20

Comment 4 Fedora Update System 2014-10-07 09:28:20 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19

Comment 5 Orion Poplawski 2014-10-07 18:06:45 UTC
I still see slow startup with sddm-0.9.0-1.20141007git6a28c29b.fc21

Comment 6 Orion Poplawski 2014-10-07 19:55:28 UTC
It might be a bit faster, but there is still a noticeable period with a black screen.

Comment 7 Fedora Update System 2014-10-08 18:57:49 UTC
Package sddm-0.9.0-1.20141007git6a28c29b.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.9.0-1.20141007git6a28c29b.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12308/sddm-0.9.0-1.20141007git6a28c29b.fc20
then log in and leave karma (feedback).

Comment 8 Martin Bříza 2014-10-09 11:34:29 UTC
At least from my testing, startup of the greeter itself is WAY faster. Before the update, I got about 20 seconds to get some display. Currently, it's under one second which occurs in the period between plymouth exiting and sddm-greeter starting. In the future, this will be hidden by reusing plymouth's output in the meantime.

Comment 9 Valerio De Angelis 2014-10-10 22:48:36 UTC
Yeah, installed and tested now the version sddm-0.9.0-2.20141007git6a28c29b.fc20.
It's really fast, one second at the maximum.

Comment 10 Fedora Update System 2014-10-28 06:46:29 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-10-31 02:43:10 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Roderick Johnstone 2015-06-16 16:12:17 UTC
I'm seeing sddm slow to display login screen on F22 with sddm-0.10.0-4.fc22.x86_64. Maybe a 20-30 sec delay after logout before getting the login screen. I have homes on nfs mounts and currently one is unavailable.

I assume the F21 package patch is in the F22 package.

Suggestions on how to diagnose would be welcome.